/// \file 
/// \brief Definitions related to the Extension_Constraint class

#ifndef EXTENSION_CONSTRAINT_H
#define EXTENSION_CONSTRAINT_H

#include "constraint.h"

class Extension_Constraint : public Constraint { /// This class allows to represent constraints in extension		
	public:			
		// constructor
		Extension_Constraint (vector<Variable *> & var);				///< constructs an extension constraint whose scope is defined by the variables in var

	
		// basic functions
		virtual void Allow_Tuple (int * t) {throw ("Not defined");};   			///< allows the tuple t
		virtual void Forbid_Tuple (int * t) {throw ("Not defined");};  			///< forbids the tuple t
};

#endif
