#include "basic_deletion_stack.h"

//-----------------------------
// constructors and destructor
//-----------------------------


// construct an empty deletion stack related to the CSP pb with at most level_number levels
Basic_Deletion_Stack::Basic_Deletion_Stack (CSP * pb, int level_number) {
	elements = new pair<Domain *,int> [pb->Get_Total_Value_Number()];
	number_elements = new int [level_number];
	top = -1;
	size = 0;
}


// destructor
Basic_Deletion_Stack::~Basic_Deletion_Stack() {
	delete [] elements;
	delete [] number_elements;
}
