#include "constraint.h"

//-------------
// constructor
//-------------


// constructs a constraint whose scope is defined by the variables in var
Constraint::Constraint (vector<Variable *> & var){
	num = -1;
	arity = var.size();
	
	unassigned_variable_number = arity;

	scope_var.expand (arity);
	
	for (unsigned int i = 0; i < arity; i++) {
		scope.insert (var[i]->Get_Num());
		scope_var.add (var[i]);
		
		position.insert(pair<int,int>(var[i]->Get_Num(),i));
	}
	
	weight = 1;
}
