#include "csp_tree_decomposition.h"
#include "csp_cluster_tree.h"


// constructs a CSP tree-decomposition from a tree-decomposition
CSP_Tree_Decomposition::CSP_Tree_Decomposition (Tree_Decomposition * td, CSP * pb): Tree_Decomposition (pb->Get_Structure()) {
	ct_number = td->Get_Cluster_Tree_Number();
	cluster_tree.expand(ct_number);
		
	for (int i = 0; i < ct_number; i++)		cluster_tree[i] = new CSP_Cluster_Tree (td->Get_Cluster_Tree(i),pb);
}

