/// \file 
/// \brief Definitions related to the CSP_Tree_Decomposition class

#ifndef CSP_TREE_DECOMPOSITION_H
#define CSP_TREE_DECOMPOSITION_H

#include <tree_decomposition.h>
#include "csp.h"


class CSP_Tree_Decomposition: public Tree_Decomposition {    /// This class implements a specialization of the Tree_Decomposition class for solving CSP instances
	public:
		// constructor and destructor
		CSP_Tree_Decomposition (Tree_Decomposition * td, CSP * pb);  ///< constructs a CSP tree-decomposition from a tree-decomposition
};


#endif

