/// \file 
/// \brief Definitions related to the Max_Weight_Sum_Root_Heuristic class

#ifndef MAX_WEIGHT_SUM_ROOT_HEURISTIC_H
#define MAX_WEIGHT_SUM_ROOT_HEURISTIC_H

#include "root_heuristic.h"

class Max_Weight_Sum_Root_Heuristic: public Root_Heuristic {   /// This class implements a heuristic which chooses as first cluster a cluster which maximizes the sum of the weights of the contraint whose scope intersects the cluster
	public:
		// basic functions
		virtual int Choose_Root (Cluster_Tree * ct, CSP * pb);		///< chooses a root cluster which maximizes the sum of the weights of the contraint whose scope intersects the cluster
};

#endif
