#include "real_tuple.h"

//-----------------------------
// constructors and destructor
//-----------------------------


// construct an empty tuple whose size is size
Real_Tuple::Real_Tuple (int size) : Tuple(size) {
	real_values = new int [arity];
	for (int i = 0; i < arity; i++)		real_values[i] = -1;
}


// destructor
Real_Tuple::~Real_Tuple () {
	delete [] real_values;
}


//----------
// operator
//----------


// operator =
Real_Tuple & Real_Tuple::operator= (Real_Tuple & t) {
	if (this != &t) {	
		if (arity != t.arity) {
			delete values;
			delete real_values;
			arity = t.arity;
			values = new int [arity];
			real_values = new int [arity];
		}
		
		for (int i = 0; i < arity; i++) {
			values[i] = t.values[i];
			real_values[i] = t.real_values[i];
		}
	}
	return *this;
}
