#include "variable.h"

//-----------------------------
// constructors and destructor
//-----------------------------


// constructs an empty domain
Variable::Variable (int n, string ch, Domain * d) {
	num = n;
  name = ch;
	domain = d;	
}


// constructs a domain by copying the domain d
Variable::Variable (Variable & v) {
	num = v.num;
  name = v.name;
	domain = v.domain;
}


// destructor
Variable::~Variable() {
	delete domain;
}


//----------
// operator
//----------

// operator =
Variable & Variable::operator= (Variable & v) {
	if (this != &v) {
		delete domain;

		num = v.num;
		name = v.name;
		domain = v.domain;
	}
	return *this;	
}
