#include "graphical_structure.h"
#include "light_graph.h"


// ---------------------------
// constructor and destructor
//----------------------------

// builds an empty graphical structure
Graphical_Structure::Graphical_Structure() {
	n = 0;
	m = 0;
	plg = 0;
}


// destructor
Graphical_Structure::~Graphical_Structure() {
	delete plg;
}


// ----------------
// basic functions
// ----------------


// adds the vertices of e as a new edge of the hypergraph
void Graphical_Structure::Add_Edge (set<vertex> e) {
	vertex elements [e.size()];
	int i = 0;
	
	for (set<vertex>::iterator iter = e.begin(); iter != e.end(); iter++) {
		elements[i] = *iter;
		i++;
	}
	
	Add_Edge (elements,e.size());
}
